"""
登录接口
"""

from flask import Blueprint
from flask import request

import api
import tiktok

login_opt = Blueprint('login', __name__)


@login_opt.route('/createPage', methods=["POST"])
def create_page():
    """
    登录接口
    :return: 1-登录成功 2-需要验证码
    """
    request_body = request.json
    account = request_body.get('account')
    login_result = 1
    if not api.contain_browser(account):
        browser = tiktok.TikTokBrowser(account)
        browser.__init_browser__(playwright=None)
        api.add_account(account)
    return api.success(login_result)


@login_opt.route('/login', methods=["POST"])
def login():
    """
    登录接口
    :return: 1-登录成功 2-需要验证码
    """
    request_body = request.json
    phone = request_body.get('phone')
    browser = douyin.DouYinBrowser(phone)
    login_result = browser.login(request_body.get('password'))
    return api.success(login_result)
